gnutls_compression_set_priority(3)

NAME
gnutls_compression_set_priority - Sets the priority on the compression algorithms supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_compression_set_priority(gnutls_session_t session, const int * list);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const int * list
    is a 0 terminated list of gnutls_compression_method_t elements.

DESCRIPTION
Sets the priority on the compression algorithms supported by gnutls. Priority is higher for elements specified before others. After specifying the algorithms you want, you must append a 0. Note that the priority is set on the client. The server does not use the algorithm's priority except for disabling algorithms that were not specified. TLS 1.0 does not define any compression algorithms except NULL. Other compression algorithms are to be considered as gnutls extensions.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.